Bug 18469 - Suspend all holds when specifying a date to resume hold does not keep date
Summary: Suspend all holds when specifying a date to resume hold does not keep date
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 14060
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-21 01:51 UTC by Jessie Zairo
Modified: 2017-10-01 21:55 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18469 - Suspend all holds when specifying a date to resume hold does not keep date (1.58 KB, patch)
2017-04-21 14:11 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18469 - Suspend all holds when specifying a date to resume hold does not keep date (1.64 KB, patch)
2017-04-24 14:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18469 - (QA Followup) (4.59 KB, patch)
2017-07-07 11:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18469: Suspend all holds when specifying a date to resume hold does not keep date (1.72 KB, patch)
2017-08-04 15:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18469: QA Follow-up (4.69 KB, patch)
2017-08-04 15:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jessie Zairo 2017-04-21 01:51:40 UTC
When suspending all holds from the staff client on a patrons account until a specified date, the holds suspend indefinitely rather than by a specific date. The behavior works as expected for suspending a hold when selecting one item at a time. However suspending all holds by a specific date does not trigger a specified date.
Comment 1 Nick Clemens 2017-04-21 14:11:33 UTC
Created attachment 62526 [details] [review]
Bug 18469 - Suspend all holds when specifying a date to resume hold does not keep date

Name of field had 'datepicker' embedded, this caused variable issue

To test:
 1 - Place several holds for a patron
 2 - Go to holds tab in circulation
 3 - Select a date for suspend all holds until
 4 - Suspend all holds
 5 - Note date is not used, suspended indefinitely
 6 - Apply patch
 7 - Resume all suspended holds
 8 - Select a date for suspend all holds until
 9 - Suspend all holds
10 - Note date is used
Comment 2 Owen Leonard 2017-04-24 14:57:41 UTC
Created attachment 62612 [details] [review]
[SIGNED-OFF] Bug 18469 - Suspend all holds when specifying a date to resume hold does not keep date

Name of field had 'datepicker' embedded, this caused variable issue

To test:
 1 - Place several holds for a patron
 2 - Go to holds tab in circulation
 3 - Select a date for suspend all holds until
 4 - Suspend all holds
 5 - Note date is not used, suspended indefinitely
 6 - Apply patch
 7 - Resume all suspended holds
 8 - Select a date for suspend all holds until
 9 - Suspend all holds
10 - Note date is used

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2017-04-24 20:33:00 UTC
Nick it seems that we have the same issue on moremember, but the feature is not displayed because SuspendHoldsIntranet and or AutoResumeSuspendedHolds is not passed (should use Koha.Preference instead).
I am also wondering if we should not re-add the datepicker class name.
Comment 4 Nick Clemens 2017-07-07 11:26:32 UTC
Created attachment 64906 [details] [review]
Bug 18469 - (QA Followup)

Restore datepicker class
Use Koha.Preference
Copy changes ot moremember
Comment 5 Marcel de Rooy 2017-08-04 15:23:06 UTC
Created attachment 65508 [details] [review]
Bug 18469: Suspend all holds when specifying a date to resume hold does not keep date

Name of field had 'datepicker' embedded, this caused variable issue

To test:
 1 - Place several holds for a patron
 2 - Go to holds tab in circulation
 3 - Select a date for suspend all holds until
 4 - Suspend all holds
 5 - Note date is not used, suspended indefinitely
 6 - Apply patch
 7 - Resume all suspended holds
 8 - Select a date for suspend all holds until
 9 - Suspend all holds
10 - Note date is used

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2017-08-04 15:23:14 UTC
Created attachment 65509 [details] [review]
Bug 18469: QA Follow-up

Restore datepicker class
Use Koha.Preference
Copy changes to moremember

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Jonathan Druart 2017-08-15 15:27:01 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-09-29 10:15:09 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 9 Katrin Fischer 2017-10-01 21:55:03 UTC
These patches have been pushed to 16.11.x and will be in 16.11.13.